%define tarball xf86-video-suntcx
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir       %{moduledir}/drivers

Summary:   Xorg X11 suntcx video driver
Name:      xorg-x11-drv-suntcx
Version:   1.1.0
Release:   3%{?dist}
URL:       http://www.x.org
Source0:   ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2
License:   MIT
Group:     User Interface/X Hardware Support
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

ExclusiveArch: sparcv9 sparc64

BuildRequires: xorg-x11-server-sdk

Requires:  xorg-x11-server-Xorg

%description 
X.Org X11 suntcx video driver.

%prep
%setup -q -n %{tarball}-%{version}

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT%{moduledir} -name '*.la' | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{driverdir}/*.so
%{_mandir}/man4/*.4*

%changelog
* Tue Jun 03 2008 Dennis Gilmore <dennis@ausil.us> 1.1.0-3
- review fixes

* Mon May 26 2008 Dennis Gilmore <dennis@ausil.us> 1.1.0-2
- spec cleanups

* Mon Jul 17 2006 Dennis Gilmore <dennis@asuil.us> - 1.1.0-1
- Update to xorg 7.1

* Tue Oct 4 2005 Mike A. Harris <mharris@redhat.com> 1.0.0-1
- Update BuildRoot to use Fedora Packaging Guidelines.
- Limit "ExclusiveArch" to sparc, sparc64

* Fri Sep 2 2005 Mike A. Harris <mharris@redhat.com> 1.0.0-0
- Initial spec file for suntcx video driver generated automatically
  by my xorg-driverspecgen script.
